# EU Resources files for Everyware themes
This package contains the files for the `/resources` directory used in any Everyware theme.

## Getting started
These instructions will get you a copy of the project up and running on your local machine for development and testing purposes.

### Prerequisites
This package lives in in the [Infomaker Composer Repository](https://composer.infomaker.io/), so you will need to add this as a repository to your `composer.json`:

```json
"repositories": [
    {
      "type": "composer",
      "url": "https://composer.infomaker.io/"
    }
  ]
```

Also add these packages to your composer.json:

```bash
composer require oomphinc/composer-installers-extender
composer require composer/installers
```

The `/resources` folder is supposed to be a part of a Everyware theme. As a result we will move it from a temporary location into the theme of your choice.
In this example it is added to the `everyware-theme-eu-base` theme.

Add the following to your `composer.json`:

```json
  "extra": {
    "installer-types": [
      "everyware-theme-eu-resources"
    ],
    "installer-paths": {
      "www/wp-content/ew-dropin/resources/": [
        "type:everyware-theme-eu-resources"
      ]
    }
  },
  "scripts": {
    "post-update-cmd": [
      "php -r \"shell_exec('cp -rf ./www/wp-content/ew-dropin/resources/ ./www/wp-content/themes/everyware-theme-eu-base/resources');\"",
    ],
    "post-install-cmd": [
      "php -r \"shell_exec('cp -rf ./www/wp-content/ew-dropin/resources/ ./www/wp-content/themes/everyware-theme-eu-base/resources');\"",
    ]
  }
```
### Installing
Use the package manager [composer](https://getcomposer.org/) to install this package.

```bash
composer require infomaker/everyware-theme-eu-resources
```

## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

### Release

We have created a command that helps you to

- Bump version
- Commit and tag

```bash
$ ./bin/create-release.sh
```

Then you get option of what type of version you want to release: `Major`, `Minor` & `Patch`. And this script will helps you to update and create tags with [semantic versioning](https://semver.org/)

## CHANGELOG
Don't forget to update CHANGELOG.md with the changes made so it's easy for other developer to see what have happened.